Reply To: error: ‘I2C_SMBUS_BLOCK_MAX’ undeclared

Forums Technical Support for BerryGPS and BerryGPS-IMU error: ‘I2C_SMBUS_BLOCK_MAX’ undeclared Reply To: error: ‘I2C_SMBUS_BLOCK_MAX’ undeclared

#9130

pmel
Participant

Hi Mark,

Firstly, many thanks for your speedy response and support.

I ran the command / installed the packages you specified, however, it did not resolve the error!

Here is the output, also I have attached a screenshot of the shell. Any further ideas please?

$ sudo apt-get install i2c-tools libi2c-dev python-smbus
Reading package lists... Done
Building dependency tree
Reading state information... Done
i2c-tools is already the newest version (4.1-1).
libi2c-dev is already the newest version (4.1-1).
python-smbus is already the newest version (4.1-1).
The following package was automatically installed and is no longer required:
rpi.gpio-common
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

 

Blip, blop, bloop...